org.apache.xmlbeans

## Interface XmlName

- All Superinterfaces:
    XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Subinterfaces:
    XmlENTITY, XmlID, XmlIDREF, XmlNCName
  All Known Implementing Classes:
    XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlNameImpl, XmlNCNameImpl

      public interface XmlName
      extends XmlToken

  Corresponds to the XML Schema xs:Name type. One of the derived types based on xs:string.

  This kind of string is the same as the lexical representation used for XML 1.0 element and attribute names, e.g., "pre:a-b.cdef". It is just a physical string, however, and it should NOT be confused with `XmlQName`, which is a logical combination of localname and namespace URI.

  Convertible to `String`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlName>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlName> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.